#!/usr/bin/env python
# coding=utf8
#
# Copyright (C) 2010  Edmundo Álvarez Jiménez
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors: Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>

import gtk
import config

class AboutDialog:
    def __init__ (self):
        self.about = gtk.AboutDialog ()
        
        self.authors = ["Carlos García Campos <carlosgc@gsyc.escet.urjc.es>", \
                "Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>"]
        
        self.artists = ["WP WooThemes http://www.woothemes.com"]
        
        self.info = { \
                "artists":      self.artists, \
                "authors":      self.authors, \
                "comments":     "DeTraS configuration and control applet", \
                "copyright":    "\xC2\xA9 2006 Carlos García Campos\n \xC2\xA9 2010 Edmundo Álvarez Jiménez", \
                "name":         "DeTraS applet", \
                "program-name": "DeTraS applet", \
                "title":        "About DeTraS applet", \
                "version":      config.VERSION, \
                "website":      "https://launchpad.net/detras", \
                "wrap-license": True \
        }
    
    def show (self):
        for prop, val in self.info.items ():
            self.about.set_property (prop, val)
        
        self.about.connect ("response", lambda self, *args: self.destroy ())
        self.about.connect ("destroy", self.on_destroy)
        self.about.show_all ()
    
    def get_about (self):
        return self.about
    
    def is_opened (self):
        return self.about is not None

    def on_destroy (self, widget):
        self.about = None
