from dazer.analyzer.models import *
from django.db import connection
from django.shortcuts import render_to_response
from dazer.analyzer.resources.WebResource import *
from dazer.analyzer.charts.ChartGenerator import ChartGenerator
from operator import itemgetter
from datetime import datetime
from datetime import timedelta
from time import mktime

SECTOHOURS = float(60*60)

class AppCharts(WebResource):
    
    def process_GET(self):
        error = None
        
        idate = datetime.today() - timedelta(days=365/2)
        tidate = int(mktime(idate.timetuple()))
        
        fdate = datetime.now()
        tfdate = int(mktime(fdate.timetuple()))
        
        months = []
        
        if ((idate.month) > (fdate.month)):
            months = range(idate.month, 13, 1)
            months.extend(range(1, fdate.month + 1, 1))
        else:
            months = range(idate.month, fdate.month + 1, 1)
        
        try:
            name = self.request.GET['app_name']
            app_name = EventWindow.objects.filter(application__iexact=name)
            app_name = app_name[0].application
        except:
            if name == '':
                error = "Application field cannot be blank"
            else:
                error = "Application '%s' not found in DeTraS registers" \
                        % name
            return render_to_response('applications.html', \
                {'error': error, })
        
        win_etype = EventType.objects.get(name__iexact='window')
        cursor = connection.cursor()
        data = []
        temp = []
        
        cursor.execute( \
                "select strftime('%%Y', e.timestamp, 'unixepoch', " \
                + "'localtime') as year, strftime('%%m', e.timestamp, " \
                + "'unixepoch','localtime') as month, sum(e.duration) " \
                + "from events e, eventwindow ew where e.event_type = " \
                + "%s and e.event = ew.id and ew.application = %s and " \
                + "e.timestamp >= %s and e.timestamp <= %s group by " \
                + "year, month order by year, month", \
                [win_etype.id, app_name, tidate, tfdate])
        
        for i in cursor.fetchall():
            month = int(i[1])
            duration = float(i[2])
            
            temp.append((month, duration / SECTOHOURS))
        
        for i in months:
            if ((len(temp) > 0) and (i in temp[0])):
                data.append(temp[0])
                temp.remove(temp[0])
            else:
                data.append((i, 0.0))
        
        chart = ChartGenerator.historical_chart(data, app_name)
        
        return render_to_response('application.html', \
                {'name': app_name, 'data': data, 'chart': chart, })

