from django.http import HttpResponseNotAllowed

class WebResource:
    def __call__(self, request, _method='', an_type=''):
        method = request.method
        
        try:
            method_param = request.REQUEST['_method']
            method_param = method_param.upper()
            if method_param in ['PUT', 'DELETE']:
                method = method_param
        except KeyError:
            pass
        
        try:
            callback = getattr(self, 'process_%s' % method)
        except AttributeError:
            return HttpResponseNotAllowed(['GET', 'POST', 'DELETE'])
        
        self.request = request
        self.an_type = an_type
        
        return callback()
