#!/usr/bin/env python
# Copyright (C) 2006  Carlos Garcia Campos
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Authors: Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>

class Client:

    def __init__ (self, id):
        self.id = id

        self.name = None
        self.projects = []

    def set_name (self, name):
        self.name = name

    def add_project (self, project):
        self.projects.append (project)

    def get_id (self):
        return self.id

    def get_name (self):
        return self.name

    def get_projects (self):
        return self.projects

    def db_insert (self, db):
        name = None
        command = "select * from Clients where id = ?"
        try:
            retval = db.execute (command, (self.id,))
            name = retval[0][1]
        except:
            command = "insert into Clients (id, name) values (?, ?)"
            db.execute (command, (self.id, self.name))

        if name is None and self.name is not None:
            command = "update Clients set name = ? where id = ?"
            db.execute (command, (self.name, self.id))

        for project in self.projects:
            command = "select * from Projects where client_id = ? and name = ?"
            try:
                id = db.execute (command, (self.id, project))[0][0]
            except:
                command = "insert into projects (client_id, name) values (?, ?)"
                db.execute (command, (self.id, project))

