#!/usr/bin/env python
# Copyright (C) 2006  Carlos Garcia Campos
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Authors: Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>

import gconfig

class GlobalConfig:

    def __init__ (self):
        self.server_port = gconfig.server_port
        self.db_module = gconfig.db_module
        self.db_conn = gconfig.db_conn

    def get_server_port (self):
        return self.server_port

    def get_ssl_private_key (self):
        return gconfig.ssl_private_key

    def get_ssl_certificate (self):
        return gconfig.ssl_certificate

    def get_db_module (self):
        return self.db_module

    def get_db_connection_string (self):
        return self.db_conn


