create table Clients (
	id		varchar (50) not null primary key,
	name		varchar (100)
);

create table Projects (
	id		integer not null primary key autoincrement,
	client_id	varchar (50) not null,
	name		varchar (100),
	foreign key (client_id) references Clients (id)
);

create table EventTypes (
	id		integer not null primary key autoincrement,
	name		varchar (50)
);

create table EventWindow (
	id		integer not null primary key autoincrement,
	application	varchar (100),
	title		varchar (300)
);

create table EventSession (
	id		integer not null primary key autoincrement,
	name		varchar (10)
);

create table Events (
	id		integer not null primary key autoincrement,
	client_id	varchar (50) not null,
	timestamp	varchar (50) not null,
	event_type	integer not null,
	event		integer,
      	duration	integer,
	foreign key (client_id) references Clients (id)
	foreign key (event_type) references EventTypes (id)
);

-- Default values
insert into EventTypes (name) values ('Session');
insert into EventTypes (name) values ('Window');
insert into EventTypes (name) values ('Idle');

insert into EventSession (name) values ('Init');
insert into EventSession (name) values ('End');
