#!/usr/bin/env python
# coding=utf8
#
# Copyright (C) 2006  Carlos Garcia Campos
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Authors: Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>

class Client:

    def __init__ (self, gconfig):
        self.config = gconfig

        self.id = self.config.get_client_id ()
        self.name = self.config.get_client_name ()
        self.projects = self.config.get_client_projects ()
        self.send_client_name = self.config.get_send_client_name ()

    def get_xml (self):
        xml = "<client id=\"%s\">" % (self.id)
        
        if ((self.name is not None) and (self.send_client_name)):
            xml += "<name>%s</name>" % (self.name)
        
        for project in self.projects:
            xml += "<project>%s</project>" % (project)

        xml += "</client>"
        
        return xml
