#!/usr/bin/env python
# coding=utf8
#
# Copyright (C) 2006  Carlos Garcia Campos
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Authors: Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>

class Register:

    def __init__ (self, gconfig):
        self.config = gconfig

    def register (self):
        import time
        import bz2
        import os
        import defs

        events_file = self.config.get_events_file ()
        f = open (events_file, "r")
        data = f.read ()
        f.close ()

        date = time.strftime ("%Y%m%d%H%M")
        filename = date + "-tempusfugit.xml.bz2"
        path = os.path.join (defs.USER_DATA_DIR, filename)
        
        databz2 = bz2.compress (data)

        f = open (path, "w")
        f.write (databz2)
        f.close ()

        f = open (events_file, "w")
        f.write ("<?xml version=\"1.0\"?>\n" + \
                 "<events>\n</events>\n");
        f.close ()
