#!/usr/bin/env python
# coding=utf8
#
# Copyright (C) 2006  Carlos Garcia Campos
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Authors: Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>

import SOAPpy

class Sender:

    def __init__ (self, gconfig):
        self.config = gconfig

        url = self.config.get_server_url ()
        self.server = SOAPpy.SOAPProxy (url)

    def send (self, header, body):
        self.server.send (unicode (header, 'UTF-8'), unicode (body, 'UTF-8'))

if __name__ == "__main__":
    import Client
    from settings import SettingsReader
    
    config = SettingsReader ()

    sender = Sender (config)

    f = open (sender.config.get_events_file (), "r")
    xml = f.read ()
    f.close ()

    client = Client.Client (config)

    sender.send (client.get_xml (), xml)
