/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *  Copyright (C) 2010 Edmundo Álvarez Jiménez
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 *            Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>
 */

#ifndef TF_APPLICATION_H
#define TF_APPLICATION_H

#include <glib-object.h>
#include <glib.h>

G_BEGIN_DECLS

typedef struct _TfApplication        TfApplication;
typedef struct _TfApplicationClass   TfApplicationClass;
typedef struct _TfApplicationPrivate TfApplicationPrivate;

#define TF_TYPE_APPLICATION                  (tf_application_get_type())
#define TF_APPLICATION(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_APPLICATION, TfApplication))
#define TF_APPLICATION_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_APPLICATION, TfApplicationClass))
#define TF_IS_APPLICATION(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_APPLICATION))
#define TF_IS_APPLICATION_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_APPLICATION))
#define TF_APPLICATION_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_APPLICATION, TfApplicationClass))

struct _TfApplication {
	GObject               parent;
	TfApplicationPrivate *priv;
};

struct _TfApplicationClass {
	GObjectClass          parent_class;
};

GType          tf_application_get_type     (void) G_GNUC_CONST;
TfApplication *tf_application_get_instance (void);

void           debug                       (const gchar *format,
                        ...);
void           verbose                     (const gchar *format,
					    ...);

void           tf_application_init         (gint        *argc,
					    gchar     ***argv,
					    GError     **error);
void           tf_application_run          (void);
void           tf_application_quit         (void);
void           tf_application_abort        (void);

G_END_DECLS

#endif /* TF_OBSERVER_H */
