/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef __TF_EVENT_WC_H__
#define __TF_EVENT_WC_H__

#include <glib-object.h>
#include "tf-event.h"

G_BEGIN_DECLS

#define TF_TYPE_EVENT_WC                  (tf_event_wc_get_type())
#define TF_EVENT_WC(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_EVENT_WC, TfEventWc))
#define TF_EVENT_WC_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_EVENT_WC, TfEventWcClass))
#define TF_IS_EVENT_WC(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_EVENT_WC))
#define TF_IS_EVENT_WC_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_EVENT_WC))
#define TF_EVENT_WC_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_EVENT_WC, TfEventWcClass))

typedef struct _TfEventWc        TfEventWc;
typedef struct _TfEventWcClass   TfEventWcClass;
typedef struct _TfEventWcPrivate TfEventWcPrivate;

struct _TfEventWc {
	TfEvent           parent;

	TfEventWcPrivate *priv;
};

struct _TfEventWcClass {
	TfEventClass      parent_class;
};

GType    tf_event_wc_get_type (void) G_GNUC_CONST;
TfEvent *tf_event_wc_new      (guint        xid,
			       const gchar *app_name,
			       const gchar *win_title);

G_END_DECLS

#endif /* __TF_EVENT_WC_H__ */
