/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

/*#include <glib.h>*/
#include "tf-event.h"
#include "tf-event-xml.h"


/*static GObjectClass *parent_class = NULL;*/

//static void tf_event_xml_init       (TfEventXml      *event);
/*static void tf_event_xml_class_init (TfEventXmlClass *klass);*/

static void tf_event_xml_base_init (gpointer g_iface);

GType
tf_event_xml_get_type (void)
{
	static GType type = 0;
	
	if (!type) {
		static const GTypeInfo info = {
			sizeof (TfEventXmlIface),
			(GBaseInitFunc) tf_event_xml_base_init,
			(GBaseFinalizeFunc) NULL,
			(GClassInitFunc) NULL,
			NULL,
			NULL,
			0,
			0,
			(GInstanceInitFunc) NULL
		};
		
		type = g_type_register_static (G_TYPE_INTERFACE, "TfEventXml",
					       &info, 0);

		g_type_interface_add_prerequisite (type, TF_TYPE_EVENT);
	}
	
	return type;
}

static void
tf_event_xml_base_init (gpointer g_iface)
{
	static gboolean initialized = FALSE;

	if (!initialized) {
		initialized = TRUE;
	}
}

gchar *
tf_event_xml_get_xml (TfEventXml *event)
{
	TfEventXmlIface *iface;
	
	g_return_val_if_fail (TF_IS_EVENT_XML (event), NULL);

	iface = TF_EVENT_XML_GET_IFACE (event);
	
	if (iface->get_xml)
		return (* iface->get_xml) (event);

	return NULL;
}
