/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef __TF_EVENT_XML_H__
#define __TF_EVENT_XML_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define TF_TYPE_EVENT_XML                  (tf_event_xml_get_type())
#define TF_EVENT_XML(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_EVENT_XML, TfEventXml))
#define TF_IS_EVENT_XML(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_EVENT_XML))
#define TF_EVENT_XML_GET_IFACE(object)     (G_TYPE_INSTANCE_GET_INTERFACE((object), TF_TYPE_EVENT_XML, TfEventXmlIface))

typedef struct _TfEventXml        TfEventXml;
typedef struct _TfEventXmlIface   TfEventXmlIface;

struct _TfEventXmlIface {
	GTypeInterface g_iface;

	/* Virtual Table */
	gchar *(* get_xml) (TfEventXml *event);
};

GType  tf_event_xml_get_type (void) G_GNUC_CONST;

gchar *tf_event_xml_get_xml  (TfEventXml *event);

G_END_DECLS

#endif /* __TF_EVENT_XML_H__ */
