/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef __TF_EVENT_H__
#define __TF_EVENT_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define TF_TYPE_EVENT                  (tf_event_get_type())
#define TF_EVENT(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_EVENT, TfEvent))
#define TF_EVENT_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_EVENT, TfEventClass))
#define TF_IS_EVENT(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_EVENT))
#define TF_IS_EVENT_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_EVENT))
#define TF_EVENT_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_EVENT, TfEventClass))

typedef struct _TfEvent        TfEvent;
typedef struct _TfEventClass   TfEventClass;
typedef struct _TfEventPrivate TfEventPrivate;

struct _TfEvent {
	GObject         parent;

	TfEventPrivate *priv;
};

struct _TfEventClass {
	GObjectClass    parent_class;

	/* Virtual Table */
	gboolean (* compare) (TfEvent *ev1,
			      TfEvent *ev2);
};

GType    tf_event_get_type (void) G_GNUC_CONST;

gboolean tf_event_compare  (TfEvent *ev1,
			    TfEvent *ev2);

G_END_DECLS

#endif /* __TF_EVENT_H__ */
