/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef TF_IDLE_H
#define TF_IDLE_H

#include <glib-object.h>
#include <X11/Xlib.h>

G_BEGIN_DECLS

typedef struct _TfIdle        TfIdle;
typedef struct _TfIdleClass   TfIdleClass;
typedef struct _TfIdlePrivate TfIdlePrivate;
typedef enum   _TfIdleStatus  TfIdleStatus;

#define TF_TYPE_IDLE                  (tf_idle_get_type())
#define TF_IDLE(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_IDLE, TfIdle))
#define TF_IDLE_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_IDLE, TfIdleClass))
#define TF_IS_IDLE(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_IDLE))
#define TF_IS_IDLE_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_IDLE))
#define TF_IDLE_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_IDLE, TfIdleClass))

struct _TfIdle {
	GObject        parent;
	TfIdlePrivate *priv;
};

struct _TfIdleClass {
	GObjectClass   parent_class;

	/* Signals */
	void (* changed) (TfIdle *idle);
};

enum _TfIdleStatus {
	IDLE_ACTIVE,
	IDLE_INACTIVE
};

GType        tf_idle_get_type    (void) G_GNUC_CONST;
TfIdle      *tf_idle_new         (const Display *display);

void         tf_idle_set_timeout (TfIdle *idle,
				  guint32 timeout);
TfIdleStatus tf_idle_get_status  (TfIdle *idle);

G_END_DECLS

#endif /* TF_IDLE_H */
