/*
 *  Copyright (C) 2006 Carlos Garcia Campos 
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#include <glib.h>
#include <stdlib.h>

#include "tf-application.h"

gint main (gint argc, gchar **argv)
{
	GError *error = NULL;
	
	g_type_init ();

    g_log_set_always_fatal (G_LOG_LEVEL_ERROR);

	tf_application_init (&argc, &argv, &error);

	if (error) {
		g_print ("%s\n", error->message);
		g_error_free (error);

		tf_application_quit ();

		return 1;
	}
	
	tf_application_run ();

	return 0;
}
