/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *  Copyright (C) 2010 Edmundo Álvarez Jiménez
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors: Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 *           Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>
 */

#ifndef TF_OBSERVER_H
#define TF_OBSERVER_H

#include <glib-object.h>

G_BEGIN_DECLS

typedef struct _TfObserver        TfObserver;
typedef struct _TfObserverClass   TfObserverClass;
typedef struct _TfObserverPrivate TfObserverPrivate;

#define TF_TYPE_OBSERVER                  (tf_observer_get_type())
#define TF_OBSERVER(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_OBSERVER, TfObserver))
#define TF_OBSERVER_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_OBSERVER, TfObserverClass))
#define TF_IS_OBSERVER(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_OBSERVER))
#define TF_IS_OBSERVER_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_OBSERVER))
#define TF_OBSERVER_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_OBSERVER, TfObserverClass))

struct _TfObserver {
	GObject            parent;
	TfObserverPrivate *priv;
};

struct _TfObserverClass {
	GObjectClass       parent_class;
};

GType       tf_observer_get_type (void) G_GNUC_CONST;
TfObserver *tf_observer_new      (const gchar *events_file);

G_END_DECLS

#endif /* TF_OBSERVER_H */
