/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef TF_REGISTER_XML_H
#define TF_REGISTER_XML_H

#include <glib-object.h>

G_BEGIN_DECLS

#define TF_TYPE_REGISTER_XML                  (tf_register_xml_get_type())
#define TF_REGISTER_XML(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_REGISTER_XML, TfRegisterXml))
#define TF_REGISTER_XML_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_REGISTER_XML, TfRegisterXmlClass))
#define TF_IS_REGISTER_XML(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_REGISTER_XML))
#define TF_IS_REGISTER_XML_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_REGISTER_XML))
#define TF_REGISTER_XML_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_REGISTER_XML, TfRegisterXmlClass))

typedef struct _TfRegisterXml        TfRegisterXml;
typedef struct _TfRegisterXmlClass   TfRegisterXmlClass;
typedef struct _TfRegisterXmlPrivate TfRegisterXmlPrivate;

struct _TfRegisterXml {
	GObject               parent;
	
	TfRegisterXmlPrivate *priv;
};

struct _TfRegisterXmlClass {
	GObjectClass          parent_class;
};

GType          tf_register_xml_get_type (void) G_GNUC_CONST;
TfRegisterXml *tf_register_xml_new      (const gchar* events_file);

G_END_DECLS

#endif /* TF_REGISTER_XML_H */
