/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef __TF_REGISTER_H__
#define __TF_REGISTER_H__

#include <glib-object.h>

#include "tf-event.h"

G_BEGIN_DECLS

#define TF_TYPE_REGISTER               (tf_register_get_type ())
#define TF_REGISTER(object)            (G_TYPE_CHECK_INSTANCE_CAST ((object), TF_TYPE_REGISTER, TfRegister))
#define TF_IS_REGISTER(object)         (G_TYPE_CHECK_INSTANCE_TYPE ((object), TF_TYPE_REGISTER))
#define TF_REGISTER_GET_IFACE(object)  (G_TYPE_INSTANCE_GET_INTERFACE ((object), TF_TYPE_REGISTER, TfRegisterIface))

typedef struct _TfRegister      TfRegister;
typedef struct _TfRegisterIface TfRegisterIface;

struct _TfRegisterIface {
	GTypeInterface g_iface;

	/* Virtual Table */
	void     (* save_event) (TfRegister    *reg,
				 const TfEvent *event);
	gboolean (* lock)       (TfRegister    *reg);
	void     (* unlock)     (TfRegister    *reg);
};

GType    tf_register_get_type   (void) G_GNUC_CONST;

void     tf_register_save_event (TfRegister    *reg,
				 const TfEvent *event);
gboolean tf_register_lock       (TfRegister    *reg);
void     tf_register_unlock     (TfRegister    *reg);

G_END_DECLS

#endif /* __TF_REGISTER_H__ */
