/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef TF_SCREEN_H
#define TF_SCREEN_H

#include <glib-object.h>
#include <X11/Xlib.h>


G_BEGIN_DECLS

typedef struct _TfScreen        TfScreen;
typedef struct _TfScreenClass   TfScreenClass;
typedef struct _TfScreenPrivate TfScreenPrivate;

#define TF_TYPE_SCREEN                  (tf_screen_get_type())
#define TF_SCREEN(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_SCREEN, TfScreen))
#define TF_SCREEN_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_SCREEN, TfScreenClass))
#define TF_IS_SCREEN(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_SCREEN))
#define TF_IS_SCREEN_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_SCREEN))
#define TF_SCREEN_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_SCREEN, TfScreenClass))

struct _TfScreen {
	GObject          parent;
	TfScreenPrivate *priv;
};

struct _TfScreenClass {
	GObjectClass     parent_class;

	/* Signals */
	void (* active_window_changed) (TfScreen *screen);
};

GType     tf_screen_get_type          (void) G_GNUC_CONST;
TfScreen *tf_screen_new               (void);

Window    tf_screen_get_active_window (TfScreen *screen);
Display  *tf_screen_get_display       (TfScreen *screen);

G_END_DECLS

#endif /* TF_SCREEN_H */
