/*
 *  Copyright (C) 2010 Edmundo Álvarez Jiménez
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Authors: Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>
 */

#ifndef __TF_SCRSVR_GNOME_H__
#define __TF_SCRSVR_GNOME_H__

#include <glib-object.h>
#include "tf-scrsvr.h"

G_BEGIN_DECLS

#define TF_TYPE_SCRSVR_GNOME                  (tf_scrsvr_gnome_get_type())
#define TF_SCRSVR_GNOME(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_SCRSVR_GNOME, TfScrsvrGnome))
#define TF_SCRSVR_GNOME_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_SCRSVR_GNOME, TfScrsvrGnomeClass))
#define TF_IS_SCRSVR_GNOME(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_SCRSVR_GNOME))
#define TF_IS_SCRSVR_GNOME_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_SCRSVR_GNOME))
#define TF_SCRSVR_GNOME_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_SCRSVR_GNOME, TfScrsvrGnomeClass))

typedef struct _TfScrsvrGnome        TfScrsvrGnome;
typedef struct _TfScrsvrGnomeClass   TfScrsvrGnomeClass;
typedef struct _TfScrsvrGnomePrivate TfScrsvrGnomePrivate;

struct _TfScrsvrGnome {
	GObject              parent;

    TfScrsvrGnomePrivate *priv;
};

struct _TfScrsvrGnomeClass {
	GObjectClass  parent_class;
};

GType         tf_scrsvr_gnome_get_type (void) G_GNUC_CONST;
TfScrsvrGnome *tf_scrsvr_gnome_new     (void);

G_END_DECLS

#endif /* __TF_SCRSVR_GNOME_H__ */
