/*
 *  Copyright (C) 2010 Edmundo Álvarez Jiménez
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Authors: Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>
 */

#include "tf-scrsvr.h"

static void tf_scrsvr_base_init (gpointer g_iface);

GType
tf_scrsvr_get_type (void)
{
	static GType type = 0;
	
	if (!type) {
		static const GTypeInfo info = {
			sizeof (TfScrsvrIface),
			(GBaseInitFunc) tf_scrsvr_base_init,
			(GBaseFinalizeFunc) NULL,
			(GClassInitFunc) NULL,
			NULL,
			NULL,
			0,
			0,
			(GInstanceInitFunc) NULL
		};
		
		type = g_type_register_static (G_TYPE_INTERFACE, "TfScrsvr",
					       &info, 0);
	}
	
	return type;
}

static void
tf_scrsvr_base_init (gpointer g_iface)
{
    static gboolean init = FALSE;

    if (!init)
        init = TRUE;
}

gboolean
tf_scrsvr_is_active (TfScrsvr *ss)
{
    TfScrsvrIface *iface;

    g_return_val_if_fail (TF_IS_SCRSVR (ss), FALSE);

    iface = TF_SCRSVR_GET_IFACE (ss);

    if (iface->is_active)
        return (* iface->is_active) (ss);
    else
        return FALSE;
}

