/*
 *  Copyright (C) 2010 Edmundo Álvarez Jiménez 
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Authors: Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>
 */

#ifndef __TF_SCRSVR_H__
#define __TF_SCRSVR_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define TF_TYPE_SCRSVR                 (tf_scrsvr_get_type())
#define TF_SCRSVR(object)              (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_SCRSVR, TfScrsvr))
#define TF_IS_SCRSVR(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_SCRSVR))
#define TF_SCRSVR_GET_IFACE(object)     (G_TYPE_INSTANCE_GET_INTERFACE((object), TF_TYPE_SCRSVR, TfScrsvrIface))

typedef struct _TfScrsvr      TfScrsvr;
typedef struct _TfScrsvrIface TfScrsvrIface;

struct _TfScrsvrIface {
    GTypeInterface g_iface;

	/* Virtual Table */
	gboolean (* is_active) (TfScrsvr *ss);
};

GType    tf_scrsvr_get_type  (void) G_GNUC_CONST;

gboolean tf_scrsvr_is_active (TfScrsvr *ss);

G_END_DECLS

#endif /* __TF_SCRSVR_H__ */
