/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef TF_SM_H
#define TF_SM_H

#include <glib-object.h>

G_BEGIN_DECLS

typedef struct _TfSm        TfSm;
typedef struct _TfSmClass   TfSmClass;
typedef struct _TfSmPrivate TfSmPrivate;

#define TF_TYPE_SM                  (tf_sm_get_type())
#define TF_SM(object)               (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_SM, TfSm))
#define TF_SM_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_SM, TfSmClass))
#define TF_IS_SM(object)            (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_SM))
#define TF_IS_SM_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_SM))
#define TF_SM_GET_CLASS(object)     (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_SM, TfSmClass))

struct _TfSm {
	GObject     parent;
	TfSmPrivate *priv;
};

struct _TfSmClass {
	GObjectClass   parent_class;
};

GType  tf_sm_get_type    (void) G_GNUC_CONST;
TfSm  *tf_sm_new         (const gchar *command);

void   tf_sm_init        (TfSm        *sm);

G_END_DECLS

#endif /* TF_SM_H */
