/*
 *  Copyright (C) 2010 Edmundo Álvarez Jiménez
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Authors: Edmundo Álvarez Jiménez <e.alvarezj@gmail.com>
 */

#ifndef TF_XML_VALIDATOR_H
#define TF_XML_VALIDATOR_H

#include <glib-object.h>

G_BEGIN_DECLS

#define TF_TYPE_XML_VALIDATOR                   (tf_xml_validator_get_type())
#define TF_XML_VALIDATOR(object)                (G_TYPE_CHECK_INSTANCE_CAST((object), TF_TYPE_XML_VALIDATOR, TfXmlValidator))
#define TF_XML_VALIDATOR_CLASS(klass)           (G_TYPE_CHECK_CLASS_CAST((klass), TF_TYPE_XML_VALIDATOR, TfXmlValidatorClass))
#define TF_IS_XML_VALIDATOR(object)             (G_TYPE_CHECK_INSTANCE_TYPE((object), TF_TYPE_XML_VALIDATOR))
#define TF_IS_XML_VALIDATOR_CLASS(klass)        (G_TYPE_CHECK_CLASS_TYPE((klass), TF_TYPE_XML_VALIDATOR))
#define TF_XML_VALIDATOR_GET_CLASS(object)      (G_TYPE_INSTANCE_GET_CLASS((object), TF_TYPE_XML_VALIDATOR, TfXmlValidatorClass))

typedef struct _TfXmlValidator          TfXmlValidator;
typedef struct _TfXmlValidatorClass     TfXmlValidatorClass;
typedef struct _TfXmlValidatorPrivate   TfXmlValidatorPrivate;

struct _TfXmlValidator {
    GObject                 parent;

    TfXmlValidatorPrivate   *priv;
};

struct _TfXmlValidatorClass {
    GObjectClass            parent_class;
};

GType           tf_xml_validator_get_type   (void) G_GNUC_CONST;
TfXmlValidator  *tf_xml_validator_new       (const gchar *filename);
gboolean        validate                    (TfXmlValidator *val);

G_END_DECLS

#endif /* TF_XML_VALIDATOR_H */
