/*
 *  Copyright (C) 2006 Carlos Garcia Campos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Authors : Carlos Garcia Campos <carlosgc@gsyc.escet.urjc.es>
 */

#ifndef TF_XUTILS_H
#define TF_XUTILS_H

#include <glib.h>
#include <X11/Xlib.h>
#include <X11/SM/SMlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>

G_BEGIN_DECLS

Atom   _active_window_atom     (Display     *display);

void   _session_set_string     (SmcConn      conn,
				const gchar *name,
				const gchar *value);
void   _session_set_char       (SmcConn      conn,
				const gchar *name,
				gchar        value);
void   _session_set_array      (SmcConn      conn,
				const gchar *name,
				gchar      **array);

void   tf_x_error_init         (void);
Window tf_get_active_window    (Display     *display);
gchar *tf_get_application_name (Display     *display,
				Window       win);
gchar *tf_get_window_title     (Display     *display,
				Window       win);

G_END_DECLS

#endif /* TF_XUTILS_H */
