#!/usr/bin/python2.4 -u
#
#
# Tempus Fugit Data Analyzer
#
# Autor: Alvaro del Castillo <acs@gsyc.es>
#
# GPL v2 or newer
#
# Nice libxml2 tutorial: http://www.xml.com/pub/a/2003/05/14/py-xml.html
#
# <events>
#   <event time="1152028941" type="WindowChange">
#		<app>Gnome-terminal</app>
#		<title>root@delito: /home/acs/devel/libresoft/detras</title>
#   </event>
# </events>

import sys
import os
import libxml2
import pprint

try:
  True, False
except NameError:
  (True, False) = (1, 0)


def check_time (apps_time, total_time):
    total_time_apps = 0;
    for app in apps_time:
        total_time_apps += apps_time[app]
    print "Total time: " + str(total_time_apps) + "/" + str(total_time)
    if (total_time_apps == total_time):
        return True
    else:
        return False


pp = pprint.PrettyPrinter(indent=4)

tempusfile  = os.environ["HOME"]+"/.detras/tempusfugit.xml";

doc = libxml2.parseFile(tempusfile)
if doc.name != tempusfile:
    print tempusfile +" failed"
    sys.exit(1)

root = doc.children
if root.name != "events":
    print "root.name failed. XML file malformed" + tempusfile
    sys.exit(1)

number_ev  = 0
start      = 0
stamp      = 0
eventStamp = 0
delta      = stamp-start
apps_time  = {}
app_name   = ""
app_title  = ""

# my $applications = {};

# reach all subnodes also
for child in root:
    if child.type == "element":
        if (child.name == "app"):
            app_name = child.content
        elif (child.name == "title"):
            app_title = child.content        
        elif (child.name == "event"):
            number_ev += 1
            prop = child.hasProp ("time")
            eventStamp = int(prop.content)
            if (start == 0):
                start = eventStamp
            elif (eventStamp > stamp):
                delta = eventStamp - stamp
                # print "Delta " + app_name + ":" + str(delta)
                if  (app_name != ""):
                    try:
                        apps_time[app_name] += delta
                    except KeyError:
                        apps_time[app_name] = delta
                else:
                   try:
                       apps_time['unknown'] += delta
                   except KeyError:
                       apps_time['unknown'] = delta 
            stamp = eventStamp
            app_name = app_title = ""
            # print "Element " + child.name + " " + \
            #      app_name + " " + app_title+" " +str(delta)

pp.pprint (apps_time)
total_time = stamp - start
print "Total time: " + str(total_time/60)
print "Number events: " + str (number_ev)
if (check_time (apps_time, total_time)):
    print "Time computing OK"

doc.freeDoc()
